Bug 1145 - smbd -p STRING or nmbd -p INT?
smbd -p STRING or nmbd -p INT?
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.2a
Other other
: P3 normal
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-29 16:22 UTC by Timur Bakeyev
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur Bakeyev 2004-02-29 16:22:24 UTC
In the short usage summary(and --help as well) for nmbd:

Usage: nmbd [--usage] [-D VAL] [-i VAL] [-F VAL] [-S VAL] [-H STRING] [-p INT]
        [-d DEBUGLEVEL] [-s CONFIGFILE] [-l LOGFILEBASE]

For smbd:

Usage: smbd [--usage] [-D VAL] [-i VAL] [-F VAL] [-S VAL] [-p STRING]
        [-d DEBUGLEVEL] [-s CONFIGFILE] [-l LOGFILEBASE]

In both cases -p accepts port. so, is it string or int? Or are they different?

Also, in manpages:

       nmbd [-D] [-F] [-S] [-a] [-i] [-o] [-h] [-V] [-d <debug level>]
            [-H <lmhosts file>] [-l <log directory>] [-p <port number>]
            [-s <configuration file>]


Options '-a' and '-o' are not documented.

       smbd [-D] [-F] [-S] [-i] [-h] [-V] [-b] [-d <debug level>]
            [-l <log directory>] [-p <port number>] [-O <socket option>]
            [-s <configuration file>]

Option '-O <socket option>' is not documented...
Comment 1 Gerald (Jerry) Carter 2004-03-18 07:06:08 UTC
moving to 3.0
Comment 2 Jelmer Vernooij 2004-04-27 07:58:25 UTC
Fixed in SVN. smbd can take a list of port numbers to listen on.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:17:53 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.